summaryrefslogtreecommitdiffstats
path: root/third_party/rust/encoding_rs/ci/miri.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/rust/encoding_rs/ci/miri.sh')
-rw-r--r--third_party/rust/encoding_rs/ci/miri.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/third_party/rust/encoding_rs/ci/miri.sh b/third_party/rust/encoding_rs/ci/miri.sh
new file mode 100644
index 0000000000..8bf217fecd
--- /dev/null
+++ b/third_party/rust/encoding_rs/ci/miri.sh
@@ -0,0 +1,14 @@
+set -ex
+
+# Install Miri.
+MIRI_NIGHTLY=nightly-$(curl -s https://rust-lang.github.io/rustup-components-history/x86_64-unknown-linux-gnu/miri)
+echo "Installing latest nightly with Miri: $MIRI_NIGHTLY"
+rustup default "$MIRI_NIGHTLY"
+rustup component add miri
+
+# Run tests.
+# Stacked Borrows is disabled as it costs too much RAM (due to our large tables).
+MIRIFLAGS="-Zmiri-disable-stacked-borrows" cargo miri test
+
+# Restore old state in case Travis uses this cache for other jobs.
+rustup default nightly